# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetColumnsReq

Packages that use TGetColumnsReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetColumnsReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetColumnsReq
Modifier and Type
Class
Description
`class`
`TGetColumnsReq`
`class`
`TGetColumnsReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetColumnsReq
Modifier and Type
Field
Description
`TGetColumnsReq`
TCLIService.GetColumns_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetColumnsReq
Modifier and Type
Method
Description
`TGetColumnsReq`
TGetColumnsReq.`deepCopy()`
`TGetColumnsReq`
TCLIService.GetColumns_args.`getReq()`
`TGetColumnsReq`
TGetColumnsReq.`setCatalogName(String catalogName)`
`TGetColumnsReq`
TGetColumnsReq.`setColumnName(String columnName)`
`TGetColumnsReq`
TGetColumnsReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetColumnsReq`
TGetColumnsReq.`setRunAsync(boolean runAsync)`
`TGetColumnsReq`
TGetColumnsReq.`setSchemaName(String schemaName)`
`TGetColumnsReq`
TGetColumnsReq.`setSessionHandle(TSessionHandle sessionHandle)`
`TGetColumnsReq`
TGetColumnsReq.`setTableName(String tableName)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetColumnsReq
Modifier and Type
Method
Description
`int`
TGetColumnsReq.`compareTo(TGetColumnsReq other)`
`boolean`
TGetColumnsReq.`equals(TGetColumnsReq that)`
`void`
TCLIService.AsyncClient.`GetColumns(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetColumns(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)`
`TGetColumnsResp`
TCLIService.Client.`GetColumns(TGetColumnsReq req)`
`TGetColumnsResp`
TCLIService.Iface.`GetColumns(TGetColumnsReq req)`
`void`
TCLIService.Client.`send_GetColumns(TGetColumnsReq req)`
`TCLIService.GetColumns_args`
TCLIService.GetColumns_args.`setReq(TGetColumnsReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetColumnsReq
Modifier
Constructor
Description
``
`GetColumns_args(TGetColumnsReq req)`
``
`GetColumns_call(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetColumnsReq(TGetColumnsReq other)`
Performs a deep copy on other.